Bug 1425520 - os-net-config fails on empty config file
Summary: os-net-config fails on empty config file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: 11.0 (Ocata)
Assignee: Lukas Bezdicka
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks: 1394025
TreeView+ depends on / blocked
 
Reported: 2017-02-21 16:10 UTC by Lukas Bezdicka
Modified: 2017-05-17 20:01 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-heat-templates-6.0.0-0.10.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 20:01:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 441202 None None None 2017-03-24 20:17:34 UTC
OpenStack gerrit 447426 None None None 2017-03-24 20:16:48 UTC
Launchpad 1666227 None None None 2017-02-21 16:10:45 UTC

Description Lukas Bezdicka 2017-02-21 16:10:46 UTC
[root@overcloud-controller-0 ~]# os-net-config -c /etc/os-net-config/config.json -v --detailed-exit-codes
[2017/02/20 02:25:21 PM] [INFO] Using config file at: /etc/os-net-config/config.json
[2017/02/20 02:25:21 PM] [INFO] Using mapping file at: /etc/os-net-config/mapping.yaml
[2017/02/20 02:25:21 PM] [INFO] Ifcfg net config provider created.
Traceback (most recent call last):
  File "/bin/os-net-config", line 10, in <module>
    sys.exit(main())
  File "/usr/lib/python2.7/site-packages/os_net_config/cli.py", line 157, in main
    iface_array = yaml.load(cf.read()).get("network_config")
AttributeError: 'NoneType' object has no attribute 'get'

During minor update yum_update.sh always calls os-net-config unconditionally and sometimes fails on empty config.json file.

Comment 1 Jon Schlueter 2017-04-03 18:20:22 UTC
both patches have merged to THT stable/ocata

Comment 3 Jaromir Coufal 2017-04-07 03:46:24 UTC
Lukas is this a blocker for OSP11? Does it impact any important scenarios in major way?

Comment 6 errata-xmlrpc 2017-05-17 20:01:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.